From: Adolf Belka <adolf.belka@ipfire.org>
To: development@lists.ipfire.org
Subject: [PATCH 4/4] wsdd: Update install and uninstall pak files
Date: Mon, 18 Mar 2024 19:43:14 +0100 [thread overview]
Message-ID: <20240318184314.3683-4-adolf.belka@ipfire.org> (raw)
In-Reply-To: <20240318184314.3683-1-adolf.belka@ipfire.org>
[-- Attachment #1: Type: text/plain, Size: 1698 bytes --]
- As wsdd is now started by samba when it is started then the wsdd install and uninstall
paks no longer need to create the symlinks for starting and stopping wsdd and no longer
need the start_service and stop_service commands in the paks.
Fixes: bug#13445
Tested-by: Adolf Belka <adolf.belka(a)ipfire.org>
Signed-off-by: Adolf Belka <adolf.belka(a)ipfire.org>
---
src/paks/wsdd/install.sh | 7 +------
src/paks/wsdd/uninstall.sh | 3 ---
2 files changed, 1 insertion(+), 9 deletions(-)
diff --git a/src/paks/wsdd/install.sh b/src/paks/wsdd/install.sh
index 181b84eb9..12fde4802 100644
--- a/src/paks/wsdd/install.sh
+++ b/src/paks/wsdd/install.sh
@@ -24,7 +24,7 @@
. /opt/pakfire/lib/functions.sh
# If the wsdd user does not exist yet, then create it and add to wsdd group.
-if ! getent user wsdd >/dev/null; then
+if ! getent passwd wsdd >/dev/null; then
useradd -r -U -d / -s /bin/false -c "wsdd user" wsdd
usermod -a -G wsdd wsdd
fi
@@ -32,9 +32,4 @@ fi
extract_files
restore_backup ${NAME}
-# Create startlinks
-ln -sf ../init.d/wsdd /etc/rc.d/rc0.d/K35wsdd
-ln -sf ../init.d/wsdd /etc/rc.d/rc3.d/S65wsdd
-ln -sf ../init.d/wsdd /etc/rc.d/rc6.d/K35wsdd
-start_service ${NAME}
exit 0
diff --git a/src/paks/wsdd/uninstall.sh b/src/paks/wsdd/uninstall.sh
index 4c52ee281..9dc5202f4 100644
--- a/src/paks/wsdd/uninstall.sh
+++ b/src/paks/wsdd/uninstall.sh
@@ -22,9 +22,6 @@
############################################################################
#
. /opt/pakfire/lib/functions.sh
-stop_service ${NAME}
make_backup ${NAME}
remove_files
-# Remove all start links.
-rm -rf /etc/rc.d/rc*.d/*wsdd
exit 0
--
2.44.0
prev parent reply other threads:[~2024-03-18 18:43 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-03-18 18:43 [PATCH 1/4] samba: Integrate wsdd initscript into samba initscript - bug#13445 Adolf Belka
2024-03-18 18:43 ` [PATCH 2/4] wsdd: remove wsdd initscript as now covered by samba - fixes bug#13445 Adolf Belka
2024-03-19 11:15 ` Michael Tremer
2024-03-19 11:44 ` Adolf Belka
2024-03-18 18:43 ` [PATCH 3/4] wsdd: Update of lfs file " Adolf Belka
2024-03-18 18:43 ` Adolf Belka [this message]
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20240318184314.3683-4-adolf.belka@ipfire.org \
--to=adolf.belka@ipfire.org \
--cc=development@lists.ipfire.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox